<ion-header>
  <ion-toolbar color="light">
    <ion-buttons slot="start">
      <ion-button (click)="close()">
        <ion-icon name="arrow-back"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>

  <div class="lbl-header ion-text-center ion-padding">CHOOSE PAYMENT METHODS</div>  

  <ion-card *ngFor="let option of options">
    <ion-item lines="none" color="light">
      <ion-label>
        <h2>{{option.name}}</h2>
      </ion-label>
      <ion-checkbox slot="start" [(ngModel)]="option.selected"></ion-checkbox>      
    </ion-item>

    <div class="ion-padding" *ngIf="option.id == 2 && option.selected">
      
        <form [formGroup]="frmGcash">      
          <!-- <p class="lbl-header ion-text-center">Details</p>           -->
          <ion-item>
            <ion-label color="medium" position="stacked">
              <h2>Enter G-Cash Account</h2>
            </ion-label>
            <ion-input type="tel"  formControlName="account"></ion-input>
          </ion-item>
        </form>
      
    </div>

    <div class="ion-padding" *ngIf="option.id == 3 && option.selected">
      
        <form [formGroup]="frmBankTransfer">      
          <!-- <p class="lbl-header ion-text-center">Bank details</p> -->
          <ion-item>
            <ion-label color="medium" position="stacked">
              <h2>Bank</h2>
            </ion-label>
            <ion-input type="text" formControlName="bank"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label color="medium" position="stacked">
              <h2>Account No</h2>
            </ion-label>
            <ion-input type="text"  formControlName="accountNo"></ion-input>
          </ion-item>
        </form>
    </div>
  </ion-card>
</ion-content>

<ion-footer class="ion-text-center">
  <ion-toolbar mode="ios" color="light">
    <ion-button shape="round" color="secondary" (click)="save()">Save</ion-button>
  </ion-toolbar>
</ion-footer>